##  Settings

$anti_alias       = "YES";                # YES, NO
$contrast_mode    = "MIN_MAX";            # NONE, PERCENTAGE, MIN_MAX
$contrast_shared  = "NO";                 # YES, NO
$color_intensity  = "256";                # 0 - 512

##  Action

opendir DIR, ".";
@maps = grep { /\.ecw$/ && -f $_ } readdir DIR;
closedir DIR;

open OUT, ">", "ECW2GEOTIFF.gms";

print OUT "GLOBAL_MAPPER_SCRIPT VERSION=1.00 ENABLE_PROGRESS=YES\n\n"    ;

for $ecw (@maps) {  

    print OUT "UNLOAD_ALL \n SET_BG_COLOR COLOR=RGB(255,255,255) \n LOAD_PROJECTION PROJ_EPSG_CODE=4326 \n IMPORT FILENAME=\"$ecw\" ANTI_ALIAS=$anti_alias CONTRAST_MODE=$contrast_mode CONTRAST_SHARED=$contrast_shared COLOR_INTENSITY_FULL=$color_intensity \n EXPORT_RASTER  FILENAME=\"C:\\Temp\\Map\\OUT\\$ecw.TIF\" TYPE=GEOTIFF FORCE_SQUARE_PIXELS=NO GEN_OZI_MAP_FILE=YES \n"
}

